Module ij
Package ij.plugin

# Class FFT

java.lang.Object
ij.plugin.FFT

All Implemented Interfaces:
  `Measurements`, `PlugIn`

public class FFT extends Object implements PlugIn, Measurements
This class implements the FFT, Inverse FFT and Redisplay Power Spectrum commands in the Process/FFT submenu. It is based on Arlo Reeves' Pascal implementation of the Fast Hartley Transform from NIH Image (http://imagej.nih.gov/ij/docs/ImageFFT/). The Fast Hartley Transform was restricted by U.S. Patent No. 4,646,256, but was placed in the public domain by Stanford University in 1995 and is now freely available. Version 2008-08-25 inverse transform: mask is always symmetrized

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`displayComplex`
`static boolean`
`displayFHT`
`static boolean`
`displayRawPS`
`static String`
`fileName`

### Fields inherited from interface ij.measure.Measurements

`ADD_TO_OVERLAY, ALL_STATS, AREA, AREA_FRACTION, CENTER_OF_MASS, CENTROID, CIRCULARITY, ELLIPSE, FERET, INTEGRATED_DENSITY, INVERT_Y, KURTOSIS, LABELS, LIMIT, MAX_STANDARDS, MEAN, MEDIAN, MIN_MAX, MODE, NaN_EMPTY_CELLS, PERIMETER, RECT, SCIENTIFIC_NOTATION, SHAPE_DESCRIPTORS, SKEWNESS, SLICE, STACK_POSITION, STD_DEV`

## Constructor Summary

Constructors
Constructor
Description
`FFT()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`filter(ImagePlus imp, ImagePlus filter)`
Version of filter() that accepts an ImagePlus for the filter.
`static void`
`filter(ImagePlus imp, ImageProcessor filter)`
Does frequency domain fitering of the speciified image
`static ImagePlus`
`forward(ImagePlus imp)`
Performs a forward FHT transform.
`static ImagePlus`
`inverse(ImagePlus imp)`
Performs an inverse FHT transform.
`static void`
`multiply(ImagePlus imp, ImageProcessor filter)`
Multiplies a Fourier domain image by a filter
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`static void`
`swapQuadrants(ImageProcessor ip)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### displayRawPS

public static boolean displayRawPS

### displayFHT

public static boolean displayFHT

### displayComplex

public static boolean displayComplex

### fileName

public static String fileName

## Constructor Details

### FFT

public FFT()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### forward

public static ImagePlus forward(ImagePlus imp)
Performs a forward FHT transform.

Parameters:
  `imp` - A spatial domain image, which is not modified
Returns:
  A frequency domain version of the input image
See Also:
  - `filter(ij.ImagePlus, ij.process.ImageProcessor)`
  - `inverse(ij.ImagePlus)`

### multiply

public static void multiply(ImagePlus imp, ImageProcessor filter)
Multiplies a Fourier domain image by a filter

Parameters:
  `imp` - A frequency domain image, which is modified.
  `filter` - The filter, 32-bits (0-1) or 8-bits (0-255)
See Also:
  - `forward(ij.ImagePlus)`
  - `inverse(ij.ImagePlus)`
  - `filter(ij.ImagePlus, ij.process.ImageProcessor)`

### inverse

public static ImagePlus inverse(ImagePlus imp)
Performs an inverse FHT transform.

Parameters:
  `imp` - A frequency domain image
Returns:
  A spatial domain version of the input image
See Also:
  - `forward(ij.ImagePlus)`
  - `filter(ij.ImagePlus, ij.process.ImageProcessor)`

### filter

public static void filter(ImagePlus imp, ImageProcessor filter)
Does frequency domain fitering of the speciified image

Parameters:
  `imp` - The image to be filtered.
  `filter` - The filter, 32-bits (0-1) or 8-bits (0-255)
See Also:
  - `forward(ij.ImagePlus)`
  - `multiply(ij.ImagePlus, ij.process.ImageProcessor)`
  - `inverse(ij.ImagePlus)`

### filter

public static void filter(ImagePlus imp, ImagePlus filter)
Version of filter() that accepts an ImagePlus for the filter.

### swapQuadrants

public static void swapQuadrants(ImageProcessor ip)